diff -uNr pymol-py26-1.4-1/eMovie.py pymol-py26-1.4-1.patched/eMovie.py
--- pymol-py26-1.4-1/eMovie.py	2011-04-23 16:24:37.000000000 -0400
+++ pymol-py26-1.4-1.patched/eMovie.py	2011-04-23 16:06:47.000000000 -0400
@@ -188,7 +188,7 @@
 	cmd.extend('mvSet',mv_set)     # adjust parameter over frame range
 
 	# KR: finally, call open_eMovie:
-	open_eMovie()
+#	open_eMovie()
     	
 
 def open_eMovie():
diff -uNr pymol-py26-1.4-1/pymol-1.4/Makefile.delsci pymol-py26-1.4-1.patched/pymol-1.4/Makefile.delsci
--- pymol-py26-1.4-1/pymol-1.4/Makefile.delsci	2010-06-13 20:46:59.000000000 -0400
+++ pymol-py26-1.4-1.patched/pymol-1.4/Makefile.delsci	2011-04-23 16:06:47.000000000 -0400
@@ -61,15 +61,15 @@
 	/bin/rm -f .update .includes
 	cd contrib;$(MAKE) -f Makefile.delsci
 	cd contrib/uiuc/plugins/molfile_plugin/src;$(MAKE) -f Makefile.delsci
-	cd modules/cealign/src; g++ -c ccealignmodule.cpp -o ccealignmodule.o -Itnt -I. $(PYTHON_INC_DIR) -I$(PYMOL_PATH)/layer0 -I$(PYMOL_PATH)/ov/src 
-	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o contrib/uiuc/plugins/molfile_plugin/src/*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
+	cd modules/cealign/src; g++ -c ccealignmodule.cpp -o ccealignmodule.o -Itnt -I. $(PYTHON_INC_DIR) -I../../../layer0 -I../../../ov/src 
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o contrib/uiuc/plugins/molfile_plugin/src/*.o modules/cealign/src/*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
 
 semistatic: .includes .depends .update
 	/bin/rm -f .update .includes
 	cd contrib;$(MAKE) -f Makefile.delsci static
 	cd contrib/uiuc/plugins/molfile_plugin/src;$(MAKE) -f Makefile.delsci
-	cd modules/cealign/src; g++ -c ccealignmodule.cpp -o ccealignmodule.o -Itnt -I. $(PYTHON_INC_DIR) -I$(PYMOL_PATH)/layer0 -I$(PYMOL_PATH)/ov/src 
-	g++ $(BUILD) $(DEST) */*.o ov/src/*.o contrib/uiuc/plugins/molfile_plugin/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)	
+	cd modules/cealign/src; g++ -c ccealignmodule.cpp -o ccealignmodule.o -Itnt -I. $(PYTHON_INC_DIR) -I../../../layer0 -I../../../ov/src 
+	g++ $(BUILD) $(DEST) */*.o ov/src/*.o contrib/uiuc/plugins/molfile_plugin/src/*.o modules/cealign/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)	
 
 free:
 	/bin/rm -rf freemol
diff -uNr pymol-py26-1.4-1/pymol-1.4/contrib/modules/Makefile.pre.in.src pymol-py26-1.4-1.patched/pymol-1.4/contrib/modules/Makefile.pre.in.src
--- pymol-py26-1.4-1/pymol-1.4/contrib/modules/Makefile.pre.in.src	2009-02-24 22:30:40.000000000 -0500
+++ pymol-py26-1.4-1.patched/pymol-1.4/contrib/modules/Makefile.pre.in.src	2011-04-23 16:06:47.000000000 -0400
@@ -88,10 +88,10 @@
 # === Variables that you may want to customize (rarely) ===
 
 # (Static) build target
-TARGET=		python
+TARGET=		python2.X
 
 # Installed python binary (used only by boot target)
-#PYTHON=		
+PYTHON=	python2.X	
 
 # Add more -I and -D options here
 CFLAGS=		$(OPT) -I$(INCLUDEPY) -I$(EXECINCLUDEPY) $(DEFS)
@@ -126,12 +126,13 @@
 MACHDEP=	@MACHDEP@
 SO=		@SO@
 LDSHARED=	@LDSHARED@
+BLDSHARED=      @LDSHARED@
 CCSHARED=	@CCSHARED@
 LINKFORSHARED=	@LINKFORSHARED@
 #@SET_CCC@
 
 # Install prefix for architecture-independent files
-prefix=		/usr/local
+prefix=		@FINKPREFIX@
 
 # Install prefix for architecture-dependent files
 exec_prefix=	$(prefix)
@@ -168,7 +169,7 @@
 MAKEFILE=	$(LIBPL)/Makefile
 CONFIGC=	$(LIBPL)/config.c
 CONFIGCIN=	$(LIBPL)/config.c.in
-SETUP=		$(LIBPL)/Setup.thread $(LIBPL)/Setup.local $(LIBPL)/Setup
+SETUP=		$(LIBPL)/Setup.config $(LIBPL)/Setup.local $(LIBPL)/Setup
 
 SYSLIBS=	$(LIBM) $(LIBC)
 
diff -uNr pymol-py26-1.4-1/pymol-1.4/layer3/Makefile.delsci pymol-py26-1.4-1.patched/pymol-1.4/layer3/Makefile.delsci
--- pymol-py26-1.4-1/pymol-1.4/layer3/Makefile.delsci	2009-02-24 22:30:34.000000000 -0500
+++ pymol-py26-1.4-1.patched/pymol-1.4/layer3/Makefile.delsci	2011-04-23 16:14:56.000000000 -0400
@@ -3,7 +3,7 @@
 
 include ../Rules.delsci
 
-CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS) -I../ov/src
+CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS) -I../ov/src -I../modules/cealign/src
 
 all: layer
 
diff -uNr pymol-py26-1.4-1/pymol-1.4/layer4/Makefile.delsci pymol-py26-1.4-1.patched/pymol-1.4/layer4/Makefile.delsci
--- pymol-py26-1.4-1/pymol-1.4/layer4/Makefile.delsci	2010-06-13 20:47:00.000000000 -0400
+++ pymol-py26-1.4-1.patched/pymol-1.4/layer4/Makefile.delsci	2011-04-23 16:06:47.000000000 -0400
@@ -3,7 +3,7 @@
 
 include ../Rules.delsci
 
-CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS) -I../ov/src
+CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS) -I../ov/src -I../modules/cealign/src
 
 all: layer
 
diff -uNr pymol-py26-1.4-1/pymol-1.4/modules/pmg_tk/startup/apbs_tools.py pymol-py26-1.4-1.patched/pymol-1.4/modules/pmg_tk/startup/apbs_tools.py
--- pymol-py26-1.4-1/pymol-1.4/modules/pmg_tk/startup/apbs_tools.py	2011-04-21 07:40:48.000000000 -0400
+++ pymol-py26-1.4-1.patched/pymol-1.4/modules/pmg_tk/startup/apbs_tools.py	2011-04-23 16:06:47.000000000 -0400
@@ -220,6 +220,12 @@
     # correctly. /sw/bin/pdb2pqr just calls through to this.
     searchDirs.append(os.path.join("/sw", "share", "pdb2pqr"))
 
+    # This must come before @FINKPREFIX@/bin (which may also be in PATH) in
+    # order for our pdb2pqr importing to work
+    # correctly. @FINKPREFIX@/bin/pdb2pqr just calls through to this.
+    searchDirs.append(os.path.join("@FINKPREFIX@", "share", "pdb2pqr"))
+    searchDirs.append(os.path.join("@FINKPREFIX@", "share", "apbs", "tools", "manip"))
+
     searchDirs.extend(string.split(os.environ["PATH"], ":"))
     searchDirs.append(os.path.join("/usr", "local", "bin"))
     searchDirs.append(os.path.join("/opt", "local", "bin"))
diff -uNr pymol-py26-1.4-1/pymol-1.4/setup/Rules.osx-fink pymol-py26-1.4-1.patched/pymol-1.4/setup/Rules.osx-fink
--- pymol-py26-1.4-1/pymol-1.4/setup/Rules.osx-fink	2009-02-24 22:30:35.000000000 -0500
+++ pymol-py26-1.4-1.patched/pymol-1.4/setup/Rules.osx-fink	2011-04-23 16:24:00.000000000 -0400
@@ -6,7 +6,7 @@
 #
 #- Building ----------------------------------------------------------
 #--- Tell "make" how to get to PyMOL 
-PYMOL_PATH = /Users/delwarl/fink/pymol
+PYMOL_PATH = @FINKPREFIX@/lib/pymol
 #---------------------------------------------------------------------
 #
 #- Dependencies ------------------------------------------------------
@@ -14,29 +14,29 @@
 XLIB_DIR = -L/usr/X11R6/lib
 XINC_DIR = -I/usr/X11R6/include
 #--- Python
-PYTHON_EXE = /sw/bin/python2.3
+PYTHON_EXE = python2.X
 PYTHON_LIB =
 PYTHON_LIB_DIR = 
-PYTHON_INC_DIR = -I/sw/include/python2.3 \
-	-I/sw/include/python2.3/Numeric
+PYTHON_INC_DIR = -I@FINKPREFIX@/include/python2.X \
+	-I@FINKPREFIX@/include/python2.X/Numeric
 #--- Other external dependencies
-EXT_INC_DIR = -I/sw/include
-EXT_LIB_DIR = -L/sw/lib
+EXT_INC_DIR = -I@FINKPREFIX@/include
+EXT_LIB_DIR = -L@FINKPREFIX@/lib
 #---------------------------------------------------------------------
 #
 #- Build for LINUX as an importable module ---------------------------
 #--- System libraries
-LIBS = $(PYTHON_LIB) -lglut -lGL -lGLU -lpng $(ZLIB) -lm -lX11 -lXext
+LIBS = $(PYTHON_LIB) -lglut -lGL -lGLU -lGLEW -lpng $(ZLIB) -lm -lX11 -lXext
 #--- PyMOL configuration
-DEFS = -D_PYMOL_MODULE -D_PYMOL_NUMPY -D_PYMOL_FINK
+DEFS = -D_PYMOL_MODULE -D_PYMOL_NUMPY -D_PYMOL_FINK -D_PYMOL_INLINE -D_PYMOL_OPENGL_SHADERS -DNO_MMLIBS
 #--- How we build shared libraries
-BUILD = -bundle -bundle_loader /sw/bin/python2.3 -flat_namespace -undefined suppress
+BUILD = -bundle -bundle_loader @FINKPREFIX@/bin/python2.X -flat_namespace -undefined suppress
 #--- What are we trying to build?
 DEST = -o modules/pymol/_cmd.so
 #--- Gcc Options for Linux
 CCOPT1 = -no-cpp-precomp -Wmissing-prototypes -Wno-long-double
 #--- libraries for PyOpenGL 
-PYOGL_LIB =  -lglut -lGL -lGLU -lXmu -lXi
+PYOGL_LIB =  -lglut -lGL -lGLU -lGLEW -lXmu -lXi
 #---------------------------------------------------------------------
 #
 #- Choose One --------------------------------------------------------
diff -uNr pymol-py26-1.4-1/pymol-1.4/setup/pymol.com.osx-fink pymol-py26-1.4-1.patched/pymol-1.4/setup/pymol.com.osx-fink
--- pymol-py26-1.4-1/pymol-1.4/setup/pymol.com.osx-fink	2009-02-24 22:30:35.000000000 -0500
+++ pymol-py26-1.4-1.patched/pymol-1.4/setup/pymol.com.osx-fink	2011-04-23 16:06:47.000000000 -0400
@@ -5,7 +5,7 @@
 # ==============================================================
 # Set PYMOL_PATH to point at the correct location on your system
 #
-PYMOL_PATH=/Users/delwarl/pymol
+PYMOL_PATH=@FINKPREFIX@/lib/pymol-py2X
 export PYMOL_PATH
 #
 # ==============================================================
@@ -20,5 +20,8 @@
 fi
 export PYTHONPATH
 #
-exec /sw/bin/python $PYMOL_PATH/modules/pymol/__init__.py "$@"
+APBS_PSIZE=@FINKPREFIX@/share/apbs/tools/manip/psize.py
+export APBS_PSIZE
+#
+exec @FINKPREFIX@/bin/python2.X $PYMOL_PATH/modules/pymol/__init__.py -d "_ set stereo_double_pump_mono,quiet=1" "$@"
 
diff -uNr pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i
--- pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i	2006-04-06 08:47:42.000000000 -0400
+++ pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i	2011-04-23 16:06:47.000000000 -0400
@@ -4,6 +4,7 @@
 %array_functions(char *, charArray);
 %array_functions(int, intArray);
 %{
+extern char * C_do_best_range(char*, char*, char*, char*, char*, double);
 %}
 
 extern char * C_do_best_range(char*, char*, char*, char*, char*, double); 
diff -uNr pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/run.macos pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/run.macos
--- pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/run.macos	2006-04-06 10:10:45.000000000 -0400
+++ pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/run.macos	2011-04-23 16:06:47.000000000 -0400
@@ -1,4 +1,4 @@
-/Users/leigh/pynmr/swig/swig -python -I/Users/leigh/pynmr/swig/Lib/ -I/Users/leigh/pynmr/swig/Lib/python Crmsd.i
+@FINKPREFIX@/bin/swig -python Crmsd.i
 
 # now fix the error that swig produces...
 sed -e '/SWIG_init/s/init_/init/' -e '/SWIG_name/s/_Crmsd/Crmsd/ ' Crmsd_wrap.c > Crmsd_wrap2.c
@@ -8,8 +8,8 @@
 #gcc -c Crmsd.c Crmsd_wrap.c -I../../../meschach -I/usr/include/python2.3 -lm 
 #gcc -shared Crmsd.o Crmsd_wrap.o meschach.a -o Crmsd.so
 
-gcc -fno-common -c Crmsd.c Crmsd_wrap.c -I/Users/leigh/pynmr/meschach -I/usr/include/python2.3  -D_POSIX_C_SOURCE
-gcc -bundle -flat_namespace -L/usr/include/python2.3 Crmsd.o Crmsd_wrap.o /Users/leigh/pynmr/meschach/meschach.a -lPython -o Crmsd.so
+gcc -O3 -fno-common -c Crmsd.c Crmsd_wrap.c -I@FINKPREFIX@/include/meschach -I@FINKPREFIX@/include/python2.X  -D_POSIX_C_SOURCE
+gcc -O3 -bundle -bundle_loader @FINKPREFIX@/bin/python2.X -flat_namespace -undefined suppress Crmsd.o Crmsd_wrap.o -L@FINKPREFIX@/lib -lmeschach -o Crmsd.so
 
 
 
diff -uNr pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/test_data/test.script pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/test_data/test.script
--- pymol-py26-1.4-1/pynmr_0.37f_src/pmg_tk/startup/pynmr/test_data/test.script	2006-04-06 08:47:49.000000000 -0400
+++ pymol-py26-1.4-1.patched/pynmr_0.37f_src/pmg_tk/startup/pynmr/test_data/test.script	2011-04-23 16:06:47.000000000 -0400
@@ -6,5 +6,5 @@
 	pairfit=0)
 nmr_cmd.C_do_best_range('test_1', 'C N CA', \
 	"test_1 test_2 test_3", "all", \
-	"/home2/leigh/Proj/pynmr/pmg_tk/startup/pynmr/test_data/", 1.0)
+	"@FINKPREFIX@/lib/pymol-py2X/modules/pmg_tk/startup/pynmr/test_data", 1.0)
 
